Public Class Frm_DeleteFile
    Dim MsgBuff As New System.Text.StringBuilder
    Dim Err As Boolean = False
  
    Private Sub desc_timer_Tick(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles desc_timer.Tick
        MsgBuff.Remove(0, MsgBuff.Length)
        Err = False

        If Me.TabControl1.SelectedIndex = 0 Then
            If Me.RadioButton1.Checked Then
                If Me.tb_deltext1.Text = "" Or Me.tb_deltext1.Text.Length = 0 Then
                    Err = True
                    MsgBuff.AppendLine("삭제할 파일명에 들어가는 문자를 입력하세요")
                End If
                If Err = False Then
                    MsgBuff.AppendLine("작업폴더 : " & Pub.GetWorkDIr & " 에서")
                    MsgBuff.AppendLine("파일명이 [ " & Me.tb_deltext1.Text & "." & Pub.GetExtendFromMdi & " ] 인 파일들을 삭제합니다")
                    MsgBuff.AppendLine("대상파일의 확장자구분은 [ " & IIf(Pub.GetExtendFromMdi = "*", "모든형식", Pub.GetExtendFromMdi) & " ] 이며 하위폴더는 " & IIf(Pub.GetSubDir, "[포함] 합니다", "[포함] 하지 않습니다"))
                End If
            ElseIf Me.RadioButton2.Checked Then
                If Me.tb_deltext2.Text = "" Or Me.tb_deltext2.Text.Length = 0 Then
                    Err = True
                    MsgBuff.AppendLine("삭제할 파일명에 들어가는 문자를 입력하세요")
                End If
                If Err = False Then
                    MsgBuff.AppendLine("작업폴더 : " & Pub.GetWorkDIr & " 에서")
                    MsgBuff.AppendLine("파일명에 [ " & Me.tb_deltext2.Text & " ] 가 들어있는 파일들을 삭제합니다")
                    MsgBuff.AppendLine("대상파일의 확장자구분은 [ " & IIf(Pub.GetExtendFromMdi = "*", "모든형식", Pub.GetExtendFromMdi) & " ] 이며 하위폴더는 " & IIf(Pub.GetSubDir, "[포함] 합니다", "[포함] 하지 않습니다"))
                End If

            Else
                MsgBuff.AppendLine("파일을 삭제할 방법이 선택되지 않았습니다")
            End If
        Else

        End If


        Me.tb_deldesc.Text = MsgBuff.ToString
    End Sub

   
    Private Sub Frm_DeleteFile_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        ' Me.desc_timer.Enabled = True

    End Sub

    Private Sub tb_deltext2_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles tb_deltext2.TextChanged
        Me.RadioButton2.Checked = True

    End Sub

  
    Private Sub tb_deldesc_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles tb_deldesc.TextChanged
        Me.ToolTip1.SetToolTip(sender, Me.tb_deldesc.Text)
    End Sub

    Private Sub tb_deltext1_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles tb_deltext1.TextChanged
        Me.RadioButton1.Checked = True
    End Sub
End Class